Skip to main content
GET
/
api
/
external
/
v2
/
subscription-customers-detail
/
valid
/
{customerId}
Get detailed customer subscription information
curl --request GET \
  --url https://membership-admin.appstle.com/api/external/v2/subscription-customers-detail/valid/{customerId}
{
  "shop": "<string>",
  "id": 123,
  "graphSubscriptionContractId": "<string>",
  "subscriptionContractId": 123,
  "billingPolicyInterval": "<string>",
  "billingPolicyIntervalCount": 123,
  "currencyCode": "<string>",
  "customerId": 123,
  "graphCustomerId": "<string>",
  "deliveryPolicyInterval": "<string>",
  "deliveryPolicyIntervalCount": 123,
  "status": "<string>",
  "graphOrderId": "<string>",
  "orderId": 123,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "nextBillingDate": "2023-11-07T05:31:56Z",
  "orderAmount": 123,
  "orderName": "<string>",
  "customerName": "<string>",
  "customerEmail": "<string>",
  "subscriptionCreatedEmailSent": true,
  "endsAt": "2023-11-07T05:31:56Z",
  "startsAt": "2023-11-07T05:31:56Z",
  "minCycles": 123,
  "maxCycles": 123,
  "customerFirstName": "<string>",
  "customerLastName": "<string>",
  "autoCharge": true,
  "importedId": "<string>",
  "stopUpComingOrderEmail": true,
  "pausedFromActive": true,
  "phone": "<string>",
  "activatedOn": "2023-11-07T05:31:56Z",
  "pausedOn": "2023-11-07T05:31:56Z",
  "cancelledOn": "2023-11-07T05:31:56Z",
  "contractDetailsJSON": "<string>",
  "cancellationFeedback": "<string>",
  "orderNote": "<string>",
  "orderNoteAttributes": "<string>",
  "allowDeliveryPriceOverride": true,
  "orderAmountUSD": 123,
  "billingDateAfterTrial": "2023-11-07T05:31:56Z",
  "trialEndDate": "2023-11-07T05:31:56Z",
  "pausedBySecurityChallenge": true,
  "dunning": true,
  "contractAmount": 123,
  "contractAmountUSD": 123,
  "upcomingSwapRule": "<string>",
  "emailBouncedOrFailed": true
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

X-API-Key
string

Path Parameters

customerId
integer<int64>
required

Shopify customer ID

Query Parameters

api_key
string

API Key (Deprecated - Use Header X-API-Key instead)

Response

Customer subscription details successfully retrieved (may be empty list if no subscriptions)

shop
string
required
id
integer<int64>
graphSubscriptionContractId
string
subscriptionContractId
integer<int64>
billingPolicyInterval
string
billingPolicyIntervalCount
integer<int32>
currencyCode
string
customerId
integer<int64>
graphCustomerId
string
deliveryPolicyInterval
string
deliveryPolicyIntervalCount
integer<int32>
status
string
graphOrderId
string
orderId
integer<int64>
createdAt
string<date-time>
updatedAt
string<date-time>
nextBillingDate
string<date-time>
orderAmount
number<double>
orderName
string
customerName
string
customerEmail
string
subscriptionCreatedEmailSent
boolean
endsAt
string<date-time>
startsAt
string<date-time>
subscriptionCreatedEmailSentStatus
enum<string>
Available options:
SENT,
UNSENT,
FAILED,
EMAIL_SETTINGS_DISABLED,
CUSTOMER_PAYMENT_EMPTY,
CONTRACT_PAUSED_STATUS
minCycles
integer<int32>
maxCycles
integer<int32>
customerFirstName
string
customerLastName
string
autoCharge
boolean
importedId
string
stopUpComingOrderEmail
boolean
pausedFromActive
boolean
subscriptionCreatedSmsSentStatus
enum<string>
Available options:
SENT,
UNSENT,
FAILED,
SMS_SETTINGS_DISABLED,
CUSTOMER_PAYMENT_EMPTY,
CONTRACT_PAUSED_STATUS,
PHONE_NUMBER_EMPTY
phone
string
activatedOn
string<date-time>
pausedOn
string<date-time>
cancelledOn
string<date-time>
contractDetailsJSON
string
cancellationFeedback
string
orderNote
string
orderNoteAttributes
string
allowDeliveryPriceOverride
boolean
orderAmountUSD
number<double>
billingDateAfterTrial
string<date-time>
trialEndDate
string<date-time>
pausedBySecurityChallenge
boolean
dunning
boolean
contractAmount
number<double>
contractAmountUSD
number<double>
upcomingSwapRule
string
emailBouncedOrFailed
boolean